﻿# You can place the script of your game in this file.

#transform
transform right:
    xalign .8 yalign .99      

transform left:
    xalign .2 yalign .99      

    
   
# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"
image bg terminus = "terminus.png"
image bg clash = "clash.png"

image bg mansion = "mansion2.jpg"
image bg hallway = "hallway2.jpg"
image bg room = "room2.jpg"
image bg seasidewindow = "seasidewindow2.jpg"
image bg ship = "ship2.jpg"

image bg planet1 = "planet1.png"
image bg planet2 = "planet2.png"
image bg planet3 = "planet3.png"
image bg planet4 = "planet4.png"
image bg planet5 = "planet5.png"
image bg planet6 = "planet6.png"
image bg planet7 = "planet7.png"
image bg planet8 = "planet8.png"

#Declares images used for characters
image falyn serious = "wserious.png"
image falyn mad = "wmad.png"
image falyn sad = "wsad.png"
image falyn smile = "wsmile.png"
image falyn surprised =  "wsurprised.png"
image falyn crazy =  "wcrazy.png"
image falyn crazy2 =  "wcray2.png"
image falyn blush = "wblush.png"

image nobel serious = "manser.png"

image nobel mad = "manmad.png"
image nobel sad = "mansad.png"
image nobel smile = "manhapy.png"
image nobel surprised =  "mansur.png"
image nobel crazy =  "mancrazed.png"
image nobel blush = "manblush.png"


image light up = "lightup.png"
image light down = "lightdown.png"    

# Declare characters used by this game.
#define e = Character('Eileen', color="#c8ffc8")


define flash = Fade(0.1, 0.0, 0.5, color="#fff")

#default, nochar, narration
define g = Character('', color="#c8ffc8")

#Falyn Raine Zara
define h = Character('Falyn', color="#c8ffc8")
define hu = Character('???', color="#c8ffc8")
define hue = Character('Empress?', color="#c8ffc8")
define n = Character('', color="#c8ffc8")

#Nobel Damon Xander was Renton von Vay
define r = Character('Nobel', color="#ffff00")

#Matthias Anderson Toft
define m = Character('Anderson', color="#3366ff")

#Keeper
define k = Character('Keeper', color="#c8ffc8")

#Security Guard
define s = Character('Security Guard', color="#c8ffc8")

#Scout Patrol
define sp = Character('Scout Patrol', color="#ff0066")


#nvl - narrator
define f = Character(None, kind=nvl) 

# The game starts here.
label start:

    play music "mindthings_-_Life_s_Things.mp3" fadeout 1
    queue music "mindthings_-_Life_s_Things.mp3"

    scene black with dissolve

    g "{cps=*0.5}It is the year 4070.{/cps}  Mankind has reached for the stars and has grasped from one edge 
    of the galaxy to the other."

    g "We no longer find ourselves alone on a single planet. Every star in the night star is traced with humanity."
    
    g "Thanks to faster than light travel, millions upon millions of planets are deemed to be colonized by humans. New technological advances brought about 
    the end of poverty. Things were good.  The focus on development helped to fuel ambition towards a better tomorrow."
    
    g "The golden age of exploration has passed and gone. 
    All of humanity was finally united under one government. However..."

    g  "Due to humanity's fallibleness, the states of government which controlled all of humanity collapsed from age,
    decay, arrogance, greed, vices. The knowledge that had been built up from the past had been fragmented heavily. 
    Humanity was alone again."

    scene bg terminus
    with Dissolve(.5)
    
    pause .5
    
    g "During a turbulent millenia, an ecosystem of people vyed for control. 
    Resources that were once plentiful, now highly sought after, were readily taken. 
    People formed kingdoms, nations, all in the name of order, brought about more chaos."

 

    f "{cps=*0.5}It is now the year 5071.{/cps} After over a millenia, the galaxy is still not united."
     
    f "Large pockets of humanity are still uncontacted, as the more powerful nations continue expanding 
    like its predecessors did."
     
    f "Growing stronger, these nations seek to preserve order within its borders, and to continue to fuel themselves."

    nvl clear
    
    
    scene bg clash
    with Dissolve(.5)
    
    pause .5
    
    

    
    g "Some nations seek to survive against other nations. Some nations themselves have taken to pirating,
    which has become rampant since the Great Collapse. 
    Others seek only to plunder and glutton. The more ambitious ones want to leave a mark in history, 
    to be the ones to reunite humanity under one flag."
  
    g "Two such nations  in the Kalla Quadrant have borders which are now about to collide. An envoy from one nation 
    has been sent to reach diplomacy."

    scene black with dissolve

    stop music fadeout 1
    
    show text "Chapter 1\n A Tale of a Meeting" with Pause(1.5)

    scene black with dissolve    

    scene bg mansion
    with Dissolve(.5)

    play music "Kanar___Bolt_-_Le_Masque_Blanc.mp3" fadeout 1
    queue music "Kanar___Bolt_-_Le_Masque_Blanc.mp3"
    
    g "The car stopped, a lady in black, emerges out, onto what looks like a mansion near some green fields."

    g "She looks back at the car, where her vassal stays, before turning to the mansion. A young man exits the estate and opens the gate."

    k "Welcome, I am this mansion's keeper. His highness has been expecting you."

    g "He looks at the car, and back to the woman."
    
    k "Will you be bringing company?"

    show falyn serious
    with Dissolve(.5)
    hu "I can take care of myself, thank you."

    k "Then please, follow me."

    hide falyn
    with Dissolve(.5)
    
    g "The keeper turns and heads towards the main doorway to the mansion. The woman follows."

    scene bg hallway
    with Dissolve(.5)
    
    g "Inside, a long hallway leading to but one room at the far side. Usually, there would be more doors, but in this case, the pathway is clear to the woman."

    g "The two are greeted by a man in full body garb."

    s "One moment please, I'll need to do a psy-scan for security purposes."

    g "There appears to be a set of 8×8 tiles in a square pattern on the floor."

    s "Please, step over here."
    
    show falyn smile
    with Dissolve(.5)
    g "The woman complies and steps on the tiles. In a moment, a great beam of light flashes. The beam goes up."

    play sound "71014__paulnorthyorks__lowandlowerpitcheddrone.wav"    

    show light up at Position(ypos=1.0) with moveinbottom
    
    hide light up with moveouttop
 
    pause .5

    show light down at Position(ypos=0.0) with moveintop
    
    hide light down with moveoutbottom
    
    play sound "144418__zerolagtime__store-scanner-beep.mp3"

    g "The guard motions her to go through."
    
    hu "I suppose an empress gets the same treatment?"

    g "The guard nods."
    show falyn serious
    with Dissolve(.5)
    s "Anyone who wishes to see the king must pass through some strict scans. It's kingdom policy."

    hue "Fair enough. Keeper, am I to be kept waiting here?"

    k "Sorry, my lady. The king is ready to accept your audience now. Go past this hallway, and you'll see him."

    scene bg room
    with Dissolve(.5)

    stop music fadeout 1    

    g "A cold sweat broke out from her. A man with plaid shirt sat on a black chair, reading a book. It had the markings of her empire. He notices her, closes the book in a playful fashion and stands up."

    show nobel surprised:
        right
    with Dissolve(.5)

    r "Ah, hello. My name is Nobel. Nobel Damon Xander. Ruler, and master of the Empire of Dierde. And you must be Lyta--"

    show falyn mad:
        left
    with Dissolve(.5)
    h "Falyn. Falyn Raine Zara."

    g "She had a frown on her face, as if fathom how he could not know it correctly."

    show falyn serious:
        left
    with Dissolve(.5)
    
    g "She turned and looked out the window."

    scene bg seasidewindow
    with Dissolve(.5)

    play music "31762__slanesh__ocean.wav" fadeout 1
    queue music "31762__slanesh__ocean.wav"     
    
    g "A strong breeze went through. It smelled of sea salt. A vast body of water, and sand was strewn about. Such a prime location was saved for the owner of this corner of the universe."

    scene bg room
    with Dissolve(.5)    

    stop music fadeout 1                

    play music "Bethke-Musik_-_spirit.mp3" fadeout 1
    queue music "Bethke-Musik_-_spirit.mp3"

    
    show nobel smile:
        right

    show falyn serious:
        left   

    with Dissolve(.5)            
        
    r "Would you like some tea, Ms. Falyn Raine Zara?" 
    
    h "Ah, no thanks, I hear that drinking water from worlds not your own is bad for your health." 
    
    r "Ah, yes, of course. If you'd like, we can have some of the water from your ship brought down and we can get  a brew." 

    show falyn smile:
        left
    with Dissolve(.5)    
    
    h "Not now perhaps, but on the allotted day if you could I would appreciate it." 
    
    r "Certainly."

    show nobel serious:
        right
    with Dissolve(.5)  
    
    r  "With the pleasantries out of the way, state your business."

    show falyn mad:
        left
    with Dissolve(.5)    
    
    h "You should have read the preliminary reports by now, Nobel Damon Xander. I trust you know very well why I am here."

    g "He shrugged."

    r "Lets call ourselves decently now. No need for childish antics here."

    h "Ugh.."

    show nobel smile:
        right
    with Dissolve(.5)      
    
    r "And of course I do. I just wanted to hear it straight from you. You know very well why you are here today."

    show falyn serious:
        left
    with Dissolve(.5)    

    show nobel serious:
        right
    with Dissolve(.5)      
    
    r "You are hear to propose a treaty of non aggression, on the way towards peace. You as the empress of the great Terran Republic, have come before me to settle for something so nontrivial such as this."

    h "I wouldn't put it in exactly those words, but yes. I'm offering to create a treaty with your Kingdom and mine. Since we are such kindly neighbours, something formal in writing would be of benefit to you."

    r "Hmm, but what benefit is it to me?"

    h "Consider what my kingdom has been producing. With the efficiencies of production that have maintained it for the past few decades, a few trade routes between our border worlds would more than double the rate of growth on both sides. Some peace would fast track that development."

    show nobel smile:
        right
    with Dissolve(.5)      

    r "Oh, and this is what the great Empress can think of? Surely you have more to offer me."

    show falyn mad:
        left
    with Dissolve(.5)          
    
    h "Well, of course, the most obvious benefit is that you don't have to waste resources on a needless war. Such resources are better of used to expand your territory in other ways."

    show nobel mad:
        right
    with Dissolve(.5)      
    
    r "Needless you say. But what if I were to say that invading your territory and expanding that way would be a better use of my resources, what would you say?"

    show falyn surprised:
        left
    with Dissolve(.5)      

    g "Falyn stopped breathing for a moment. Then she took a deep breath."

    h "A-As I have said, it would be a fruitless endeavour."

    r "Let me remind to you a little something Ms. Zara. My kingdom, a whopping 203 collected worlds, all united under my banner, is larger than your 98 or so planets that call themselves the Terran Republic. I do not see why I cannot just devour them myself. It seems so much simpler."

    show falyn mad:
        left
    with Dissolve(.5)          
    
    h "Are you really prepared to go to war, Noble?"

    show nobel crazy:
        right
    with Dissolve(.5)          
    
    r "Am I? You should be asking that of yourself! Such hypocrisy! For just a few cycles ago you barely knew of my kingdom's existence, even though we were neighbours, and when you knew of how big a threat I was to yours, you immediately rallied all your troops, and conquered what remaining neutral planets were between us, as if to say, this is my territory!"

    r "And then, you sent thousands of probes to almost every single planet that I was under. Admit it, you were prepared for war were you not!?"

    show falyn sad:
        left
    with Dissolve(.5)        
    
    h "..."

    show falyn serious:
        left
    with Dissolve(.5)      
    
    h "I'm sure you would understand the circumstances I was in, Noble. As you said, a kingdom of 98 suddenly sees a much bigger neighbour not 25 light years away. It was only natural for me take appropriate steps to ensure my kingdom's future."

    show nobel mad:
        right
    with Dissolve(.5)  
    
    r "And this includes probing my worlds, for what use would that do?"

    show falyn smile:
        left
    with Dissolve(.5)          
    
    h "You think I'm afraid of your fleets? You are sorely mistaken."

    r "Oh, it sounds as if you have a sure fire way to win a war if that ever occurred. What foolishness."

    h "Why don't we compare fleets while we're still here, I'm sure you don't mind sparing some time praising your massive fleet."

    show nobel serious:
        right
    with Dissolve(.5)      
    
    r "Sure, you can use the spare vidscreen if you want to show it."

    play sound "166184__drminky__retro-coin-collect.wav"


    hide nobel
    hide falyn
    with Dissolve(.5)

    h "As you can see, your empire includes a total of five hundred thousand starships. That is triple my numbers."

    h "However, as you can see on this screen, you have a total of only one hundred thousand jumpships. I, on the other hand, have three hundred thousand."

    show nobel serious:
        right
    with Dissolve(.5)       
    
    r "I fail to see how this affects me."

    show falyn smile:
        left
    with Dissolve(.5)       
    
    h "Oh but you see it does. Your empire runs a standard of common government, does it not?"
        
    r "Yes it does."

    show falyn crazy2:
        left
    with Dissolve(.5)       

    stop music fadeout 1
    
    play music "Felixjd_-__www.electrobel.it_felixjd800_-_you_bite_and_scratches.mp3" fadeout 1
    queue music "Felixjd_-__www.electrobel.it_felixjd800_-_you_bite_and_scratches.mp3"     
  
    
    h "If it is anything like mine, you have your capital planet. But you also have sector capitals that provide governance to the outlying fringes of your empire."

    h "What if those same planets happen to be under my control, all at once. What then?"

    show nobel mad:
        right
    with Dissolve(.5)    
    
    r "You can't seriously be considering this right now, can you?"

    show falyn crazy:
        left
    with Dissolve(.5) 
    
    h"Oh? You thought I didn't have a backup plan if this didn't work?"

    hide falyn
    hide nobel
    with Dissolve(.5)
    
    play sound "16774__brucie__mobile-ring-tone.wav"
    
    g "Ring Ring!"

    g "Nobel answers something in his ear. He turns away."

    show nobel mad:
        right
    with Dissolve(.5)       
    
    r "Yes? Alright, thanks."

    play sound "166184__drminky__retro-coin-collect.wav"    
    
    g "He changes the vidscreen to OQ 2354, the name for a sector capital planet belonging to. A scout operator speaks."

    scene bg planet1
    with Dissolve(.5)
    pause .5

    sp "Routine patrol 458. Nothing out of the ordinary, like usual."

    sp "Wait, what's that?"    

    play sound "86074__harpoyume__warp.wav"
    with flash    
    
    scene bg planet2
    pause .5
    with flash  

    sp "OQ 2354, I detect multiple vessel signatures. Verifying.... Fifty thousand explorer class scout ships!"

    r "!"

    sp "Wait, what incoming jump signatures!?"
    
    play sound "86074__harpoyume__warp.wav"
    
    scene bg planet2
    pause .5
    with flash  

    play sound "86074__harpoyume__warp.wav"
    
    scene bg planet3
    pause .5    
    with flash  

    play sound "86074__harpoyume__warp.wav"
    
    scene bg planet4
    pause .5
    with flash  

    play sound "86074__harpoyume__warp.wav"
    
    scene bg planet5
    pause .5
    with flash      

    play sound "86074__harpoyume__warp.wav"
    
    scene bg planet6
    pause .5
    with flash      

    play sound "86074__harpoyume__warp.wav"
    
    scene bg planet7
    pause .5
    with flash      
    
    scene bg planet8
    pause .5    
    
    sp "OQ 2354, do you read me!? I detect multiple vessel signatures, signals verified Terran Republic! One hundred, no, two hundred thousand identified Explorer, Stinger, Adamant-class jumpships, and thirty thousand Reliant-class jumptransport!"   

    r "And our troops stationed there?"
    
    sp "Your sire! We only have five thousand Sirius gunships. even with those, there's too many!"
    
    nvl clear

    scene bg room
    with Dissolve(.5)    

    show nobel crazy:
        right
    show falyn crazy2:
        left
    with Dissolve(.5)        
    
    r "You.... you dare!? YOU DARE!? I can't believe this! Are you actually doing this in a middle of a peace talk!?"

    h "Well, it seems as if you were not satisfied with what I was offering, maybe this offer will be a little better. If you don't take this peace treaty, I would say, two thirds of your worlds are out of reach from your capital? Well, then I'm not sure if you'd like two thirds of your empire thrown into chaos and disarray?"

    h "And you know, the probes don't lie, you haven't been keeping proper defenses on your sector capitals have you?"

    show nobel mad:
        right    
    with Dissolve(.5)    
    
    r "Urgh.."

    show falyn smile:
        left
    with Dissolve(.5)     
    
    h "Oh, did you actually expect someone like me to actually attack you? Don't worry. I've already notified your sector capitals. I've given them explicit information that this is just for show. I could take them now if I want, but I won't. I doubt any of your \"starships\" would be able to do anything in time anyways."

    show nobel serious:
        right    
    with Dissolve(.5)    
    
    r "Certainly a tenacious empress aren't you? And what if I kill you right here, right now? You've basically entered here by yourself, with no protection. What would your empire be without you?"

    h "Certainly you could, but I doubt that would save your empire from crumbling down to a point where it will take beyond your lifetime to repair. And besides, I'm only a constitutional empress."

    r "?"

    h "Perhaps if you read your book a bit closer, you'd know that I'm only a representative of the government of the Terran Republic. Even if I die, that won't stop my empire from functioning. In fact, I'm sure the only non functioning empire would be yours."

    show nobel smile:
        right    
    with Dissolve(.5)    

    stop music fadeout 1
    
    r "Hahaha... I see."

    play sound "16774__brucie__mobile-ring-tone.wav"
   
    g "Ring ring!"
    
    g "Nobel receives another message, and he answers promptly."

    show nobel serious:
        right    
    with Dissolve(.5)    

    play music "mindthings_-_Artificial_World.mp3" fadeout 1
    queue music "mindthings_-_Artificial_World.mp3"     
    
    r "Go on standby, they won't attack. And neither will we."

    sp "Yes sir, understood sir."

    show nobel smile:
        right    
    with Dissolve(.5)        
    
    r "So, you've proven yourself Lyta--"

    show falyn mad:
        left
    with Dissolve(.5)    
    
    h "It's Falyn."

    show nobel serious:
        right    
    with Dissolve(.5)         
    
    r "Falyn. Had you been more reckless and taken me head on, I would call you a despot worthy of being exterminated. Had you been a subservient conqueror who failed to muster up the courage to face me, I would have taken your worlds without a second thought. Since you kindly showed some restraint. I'll allow peace between our two empires with some conditions."

    show falyn sad:
        left
    with Dissolve(.5)        
    
    h "Conditions? But I only wish to have peace between the two empires."

    show nobel mad:
        right    
    with Dissolve(.5)       
    
    r "No, what I mean is that when it comes to these treaties, there are always restrictions placed upon both parties! Such a vague notion of peace would not suffice. Is this your first time handling such a treaty?"

    show falyn surprised:
        left
    with Dissolve(.5)        
    
    h "Um... well... of course not!"

    show nobel serious:
        right    
    with Dissolve(.5)   

    r "Right... I hope for your sake I don't regret my decision."

    show falyn smile:
        left
    with Dissolve(.5)            
    
    h "Well, what conditions do you have in mind?"
    scene black with dissolve
    stop music fadeout 1    
    
    pause 1
    scene bg ship
    with Dissolve(.5)    
    
    play music "mindthings_-_Emotion_Vibes.mp3" fadeout 1
    queue music "mindthings_-_Emotion_Vibes.mp3"    
    
    g "A young looking man, a bit taller than the empress, and wearing a distinguished uniform speaks to young empress."

    m "And so, how was the talk with the king, were you able to sell the treaty?" 
    
    show falyn smile
    with Dissolve(.5)   

    h "Its been settled, we have a treaty effective after the official meeting tomorrow." 

    g "There was a great ease about the flagship the empress was in, as if they were in their own domain. Even if said domain was right in the heart of another empire."

    g "The empress started the conversation again." 
    
    show falyn serious
    with Dissolve(.5)       
    
    h "Are you sure the mind shield is still in effect?" 

    m "Yes, or at least I hope so. They didn't seem to mind while you were inside the estate. We have a recording now thanks to the bionic lenses you wore."

    show falyn blush
    with Dissolve(.5)       

    h "Right, about that. Please don't watch the recording. Not yet."

    m "Why not?"

    h "That was a nerve-wracking experience. Are all emperors this crazy?" 

    m "My lady, it takes a certain something to be an emperor or empress. Being here only proves that you're worthy of being one."

    m "This a very delicate situation, even with the treaty. What were the terms again?" 

    show falyn serious
    with Dissolve(.5)       
    
    h "Our planets are to be 25 light years away from each other near the outer borders I left some ambiguity because interstellar objects move slowly but surely. At the very least any planets we've been able to obtain will be considered our borders."

    m "That's not saying much." 

    show falyn sad
    with Dissolve(.5)   

    h "Our main expansion is limited towards a couple of directions. We're not prevented from going the other directions, but we'll likely coincide with Dierde, and part of the agreement grants them expansion towards those areas." 

    m "Don't you think that giving them more areas to expand would jeopardize our position in the long run?" 

    show falyn serious
    with Dissolve(.5)       
    
    h "We're not going to be able to stop them, though at least with our jumpships we're able to expand faster and farther than he can." 

    m "You overestimate your forces milady. Still, I'm glad of the results. It will take a while before you will expect the company of any other empires." 

    show falyn smile
    with Dissolve(.5)           
    
    h "We'll take care of them when the problem presents itself, no need to waste worrying about it now. Come now, we must rest for tomorrow's formality." 

    m "As you wish, milady."



    scene black with dissolve

    stop music fadeout 1    
    
    show text "Chapter 1 End." with Pause(3)

    scene black with dissolve    
  
    
    
    
    show text 'Created by Dorne(Kui)\nSprites commissioned from azureXtwilight\nScreenshots from Anacreon 3.0 Alpha: http://anacreon.kronosaur.com/ \n\nThanks to:\nBrad, George, Daniel, Katia and Maria\n\nCC Art and Music credits located in cc.txt\n\n\nCreated in Ren\'Py'
    
    pause
    return
    
    
